%fourier_transform_of_a_top_hat
% Plots the Fourier Transform of a Top Hat function

function fourier_transform_of_a_top_hat

%Number of k values
N = 1000;

%Width of Top Hat
L = 1;

%Range of k
kmin = -15*2*pi/L;
kmax = 15*2*pi/L;

%Fontsize for plot
fsize = 18;

%

%Generate k vector
k = linspace(kmin,kmax,N);

%Generate Fourier Transform
F = (L/(sqrt(2*pi)))*sinc( 0.5*k*L );

%Plot Graph
figure( 'color', [1 1 1], 'name','Top Hat Fourier Transform')
plot(k,F);
grid on;
xlabel('k','fontsize',fsize);
ylabel('F(k)','fontsize',fsize);
set(gca,'fontsize',fsize)
title(['Fourier Transform of a Top Hat function. L = ',num2str(L)],'fontsize',fsize)
axis tight
print(gcf,'fourier transform of a top hat.png','-dpng','-r300');

%%

%sinc function
function y = sinc(x)
y = ones(size(x));
z = x~=0;
y(z) = sin( x(z) )./x(z);

%End of code